import CthulhuEternalItemSheet from "./base-item-sheet.mjs"

export default class CthulhuEternalArmorSheet extends CthulhuEternalItemSheet {
  /** @override */
  static DEFAULT_OPTIONS = {
    classes: ["armor"],
    position: {
      width: 400,
    },
    window: {
      contentClasses: ["armor-content"],
    },
  }

  /** @override */
  static PARTS = {
    main: {
      template: "systems/fvtt-cthulhu-eternal/templates/armor.hbs",
    },
  }

  /** @override */
  async _prepareContext() {
    const context = await super._prepareContext()
    return context
  }
}
